Review, revise, and update architecture documentation
Status: Closed Start date: 2011-02-09

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

The architecture documentation should have all sections reviewed and all edits marked as tasks. This will assist with prioritization

and ensuring that all necessary edits are completed prior to public release.

Subtasks:

Task # 1907: MNCore.getLogRecords() - make fromDate arg optional Closed

Task # 1908: MNCore.getLogRecords() - Add note about implicit filtering of results Closed

Task # 1909: MNCore.getLogRecords() - fromDate and toDate adjustment Closed

Task # 1910: MNCore.getLogRecords() - NotAuthorized exception may not be needed Rejected

Task # 1911: MNCore.getCapabilities() - NotAuthorized Closed

Task # 1912: MNRead.get(session, pid) - Correction to note about checksums Closed

Task # 1936: CNRead.get() - Now does implicit resolve() Closed

Task # 1938: MNRead.listObjects() - Is NotAuthorized a valid response? Rejected

Task # 1939: MNRead.listObjects() - Remove / fix outdated examples. Closed

Task # 1940:  MNRead.listObjects() - Move example to CN docs Closed

Task # 1941: MNRead.listObjects() - Remove text about "orderby". Closed

Task # 1942: MNRead.listObjects() - Semantics for endTime Rejected

Task # 1943: MNRead.listObjects() - Remove default on replicaStatus Closed

Task # 1944: MNAuthorization.isAuthorized() - convenience methods for canRead() / canWr... Rejected

Task # 1945: MNStorage.create() - Move text about wrapped/managed mode Closed

Task # 1946: Suggestion for removing boolean return type that can only return "true". Rejected

Task # 1953: CNCore.updateSystemMetadata() - add to cross reference spreadsheet Closed

Task # 1954: CNReplication documentation needs clarification Closed

Task # 1959: MNRead.synchronizationFailed(session, message) - add boolean return type Closed

Task # 1960: class Types.Boolean - clarify use Rejected

Task # 1961: Types.ErrorMessage - does not exist New

Task # 1962: Remove errorCode from list of Exceptions in the REST calls Rejected

Task # 1330: REST interface docs Closed

Task # 1963: boolean -> Boolean Rejected

Task # 1983: UC04 describes MNCore.ping() with discovery capability New

Task # 1985: CN method that MN should use for checking if PID exists Closed

Task # 1986: Update UC04 to use correct CN method for determining if a PID exists New

Task # 1997: MNStorage.systemMetadataChanged() - Add return type Boolean Closed

Task # 1998: MNStorage.systemMetadataChanged() - Change rest endpoint Rejected

Task # 2053: CNReplication.setReplicationStatus() - Add info about serialVersion New

Task # 2054: CNReplication.setReplicationPolicy(), updateReplicationMetadata() New

Task # 2083: Split the CN API into public and private sections New

Task # 2084: CNCore.reserveIdentifier(session, pid) - Return Boolean instead of Identifer Rejected

Task # 2121: CNRead.get() - Point to MNRead.get() for retrieving Science Data Rejected

Task # 2123: Description of serialVersion New

Task # 2131: CNRegister.updateNodeCapabilities() - nodeid -> nodeId New

Task # 2142: MNReplication.getReplica() - include PID in signature New
Task # 2172: Types.DateTime: Example serialization without TZ designator New

Task # 2227: Specify valid mimetypes for responses New

Task # 2286: Change Exceptions.InvalidToken to Exceptions.InvalidSession New

Task # 2322: CNCore.hasReservation() - POST? Closed

Task # 2324: CNCore.getLogRecords() - deprecate? Rejected

Task # 2327: CNAuthorization.setRightsHolder() - Returns empty ObjectList Rejected

Task # 2342: CNCore.reserveIdentifier() - Update REST description New

Task # 2394: CNRead.search() - solr / SOLR New

Task # 2464: Authentication - no space after comma in subjects New

Task # 2465: Authentication - Remove TODO about selecting format for principal name New

Task # 2466: Authentication - Remove references to Principal New

Task # 2475: CNReplication.setReplicationStatus() - How to represent null New

Task # 2508: MNStorage.delete(), MNStorage.update() - Action must be denied for replicas. New

Task # 2646: MNReplication.getReplica() - Add information about CNReplication.isNodeAut... New

Task # 2660: Deciding on a key size for D1 certs New

Task # 2793: MNRead.describe() - Document special requirement of returning D1 exception... New

Task # 2794: Exceptions: Remove unsupported exception serializations and add "header se... New

Task # 2809: MNStorage.update() - Make behavior explicit New

Task # 2810: setReplicationStatus() example rwt state transition is incorrect New

Task # 2826: MNStorage.archive() - Permissions New

Task # 3314: CNRead.getQueryEngineDescription() - REST URL New

Task # 3315: CNRead.query() - POST in addition to GET New

Task # 3598: Node document subject description is a bit unclear New

Task # 3807: Add documentation for Types.QueryEngineDescription New

Task # 3963: Remove choice in MNStorage.update() and misc other changes Closed

Task # 4102: Add expiration policy for CNCore.reserveIdentifier() New

Task # 4722: Clarify permissions for CN New

Task # 4723: MN recognition of CN New

Task # 5531: Provide overview of replication process for MN implementors Testing

Task # 6167: Docs for CNRead.search() say "SOLR" in capital but actual API expects "sol... New

Task # 7850: Passing SID to MNRead.systemMetadataChanged() New

Related issues:

Related to Infrastructure - Story #2643: Finalize architecture docs for release Closed 2012-04-25 2014-09-24

History

#1 - 2011-10-31 01:41 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2011.44-Block.6

#2 - 2011-11-07 16:32 - Dave Vieglais

- Position changed from 1 to 306

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position deleted (19)

- Position set to 1

#3 - 2011-11-15 03:57 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position deleted (307)

- Position set to 1

- Position changed from 1 to 312

#4 - 2011-11-28 20:02 - Dave Vieglais
- Target version deleted (Sprint-2011.46-Block.6)

- Position deleted (307)

- Position set to 3

#5 - 2014-10-02 17:21 - Dave Vieglais

- Due date set to 2014-10-02

- Target version set to Maintenance Backlog

- Start date set to 2014-10-02

#6 - 2018-01-17 20:42 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
